|  | Home · All Classes · Modules

# QDateEdit Class Reference
[QtGui module]

The QDateEdit class provides a widget for editing dates based on the QDateTimeEdit widget. More...

Inherits QDateTimeEdit.

### Methods

- __init__ (self, QWidget parent = None)
- __init__ (self, QDate, QWidget parent = None)

## Detailed Description

The QDateEdit class provides a widget for editing dates based on the QDateTimeEdit widget.

Many of the properties and functions provided by QDateEdit are implemented in QDateTimeEdit. The following properties are most relevant to users of this class:

- date holds the date displayed by the widget.
- minimumDate defines the minimum (earliest) date that can be set by the user.
- maximumDate defines the maximum (latest) date that can be set by the user.
- displayFormat contains a string that is used to format the date displayed in the widget.

| A date editing widget shown in the Windows XP widget style.
| A date editing widget shown in the Macintosh widget style.
| A date editing widget shown in the Plastique widget style.

See also QTimeEdit and QDateTimeEdit.

## Method Documentation

### QDateEdit.__init__ (self, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs an empty date editor with a parent.

### QDateEdit.__init__ (self, QDate, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs an empty date editor with a parent. The date is set to date.